/*
  Bluetooth Mini Chat Room
  Chat with connected ios devices through Serial Monitor
  
  You can also use our sample app to test this feature.
  
  If you're unsure about these APIs,
  Check more info from our documenation at our website http://www.azure-lab.com/
  
  modified 23/10/2015
  by Azure Lab
*/

#include "AzufierCtrl.h"

#define reconFlag true

int redBtn = 3;
int blueBtn = 11;

bool redBtnPressed = false;
bool blueBtnPressed = false;

//define azufier class
AzufierCtrl azufier(reconFlag);

void setup() {
  
  //start serial port
  Serial.begin(9600);

  pinMode(redBtn,INPUT_PULLUP);
  pinMode(blueBtn,INPUT_PULLUP);
}

void loop() {
  if(digitalRead(redBtn)==LOW){
    if(!redBtnPressed && azufier.isConnected()){
      azufier.sendDataInString("r_down");
    }
    redBtnPressed = true;
    
    //filter Noise
    delay(10);
  }else{
    if(redBtnPressed  && azufier.isConnected()){
      azufier.sendDataInString("r_up");
      redBtnPressed = false;
    }
  }

  if(digitalRead(blueBtn)==LOW){
    if(!blueBtnPressed && azufier.isConnected()){
      azufier.sendDataInString("b_down");
    }
    blueBtnPressed = true;
    
    //filter Noise
    delay(10);
  }else{
    if(blueBtnPressed  && azufier.isConnected()){
      azufier.sendDataInString("b_up");
      blueBtnPressed = false;
    }
  }

  
  //even you will do nothing
  //this method is required
  if(azufier.available())
  {
    String data = azufier.getRawReceivedData();
    
  }
}
